--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Converts the receiver into a User with the given (optional) server/casemap association. We return self unless a conversion is needed (different casemap/server)
full_name: Irc::Netmask#to_irc_user
is_singleton: false
name: to_irc_user
params: (opts={})
visibility: public
